Package de.willuhn.jameica.hbci.io

# Class ClipboardSepaUeberweisungImporter

java.lang.Object
de.willuhn.jameica.hbci.io.ClipboardSepaUeberweisungImporter

public class ClipboardSepaUeberweisungImporter extends Object
Genersicher Parser fuer die Zwischenablage. Durchsucht diese nach sinnvollen Daten, um daraus ggf. eine neue SEPA-Ueberweisung mit vorausgefuellten Werten erzeugen zu koennen.

## Constructor Summary

Constructors
Constructor
Description
`ClipboardSepaUeberweisungImporter()`

## Method Summary

Modifier and Type
Method
Description
`AuslandsUeberweisung`
`getUeberweisung()`
Versucht eine SEPA-Ueberweisung aus der Zwischenablage zu erstellen.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClipboardSepaUeberweisungImporter

public ClipboardSepaUeberweisungImporter()

## Method Details

### getUeberweisung

public AuslandsUeberweisung getUeberweisung()
Versucht eine SEPA-Ueberweisung aus der Zwischenablage zu erstellen.

Returns:
  die Ueberweisung, wenn eine erstellt werden konnte oder null.